package icecream;

/**
 * @author hornick
 * This class represents a Dish - a specific type of IceCream.
 * Note that this class is "final" and thus cannot be subclassed.
 */
public final class Dish extends IceCream {
	
	// Dish-specific attributes would go here
	// e.g. number of scoops.

	// simple ctor
	public Dish() {
		description = "Dish";
	}
	
	@Override
	// Defines the behavior for computing the item's cost.
	// The cost computation is very trivial in this case, but in many cases the behaviors
	// of subclasses may differ significantly such that each concrete class
	// has to provide a specific override in order to implement it's own behavior,
	// or use a Strategy to implement a specific behavior.
	public double cost() {
		return 0.99;
	}
}
