package icecream;

/**
 * @author hornick
 * This class creates several types of IceCream objects, demonstrating
 * the use of the Decorator design pattern.
 */
public class IceCreamStoreApp {

	/**
	 * @param args not used
	 */
	public static void main(String[] args) {
		// Note how we program to interfaces here rather than to concrete classes.
		IceCream cone = new Cone();
		IceCream dish = new Dish();
		IceCream waffle = new WaffleCone();
		
		System.out.println(cone.getDescription() + "," + cone.cost() );
		System.out.println(dish.getDescription() + "," + dish.cost() );
		System.out.println(waffle.getDescription() + "," + waffle.cost() );
	}

}
